package cviceni10.model;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */



import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Transient;

/**
 *
 * @author nav79
 */
@Embeddable
public class Jmeno implements Serializable {
    private static final long serialVersionUID = 1L;
    private String titulPred;
    private String jmeno;
    private String prijmeni;
    private String titulZa;

    public Jmeno(String jmeno, String prijmeni) {
        this.jmeno = jmeno;
        this.prijmeni = prijmeni;
    }

    public Jmeno(String titulPred, String jmeno, String prijmeni, String titulZa) {
        this.titulPred = titulPred;
        this.jmeno = jmeno;
        this.prijmeni = prijmeni;
        this.titulZa = titulZa;
    }

    public Jmeno() {
    }

    @Column(nullable=false)
    public String getJmeno() {
        return jmeno;
    }

    public void setJmeno(String jmeno) {
        this.jmeno = jmeno;
    }

    @Column(nullable=false)
    public String getPrijmeni() {
        return prijmeni;
    }

    public void setPrijmeni(String prijmeni) {
        this.prijmeni = prijmeni;
    }

    @Column(nullable=true)
    public String getTitulPred() {
        return titulPred;
    }

    public void setTitulPred(String titulPred) {
        this.titulPred = titulPred;
    }

    @Column(nullable=true)
    public String getTitulZa() {
        return titulZa;
    }

    public void setTitulZa(String titulZa) {
        this.titulZa = titulZa;
    }

    @Transient
    public String getPrijmeniJmeno() {
        return String.format("%s, %s", prijmeni,jmeno);
    }

}
