/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cviceni10.web.beans;

import cviceni10.model.Osoba;
import cviceni10.service.IOsobaService;
import javax.inject.Named;
import javax.enterprise.context.SessionScoped;
import java.io.Serializable;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.ejb.EJB;

/**
 *
 * @author nav79
 */
@Named(value = "osobyBean")
@SessionScoped
public class OsobyBean implements Serializable {
    @EJB
    private IOsobaService osobaService;
    
    private List<Osoba> osoby;

    
    /**
     * Creates a new instance of OsobyBean
     */
    public OsobyBean() {
    }
    
    
    public List<Osoba> getOsoby() {
        return osoby;
    }
    
    @PostConstruct
    public void reload() {
        osoby = osobaService.getOsoby();
    }
    
    
}
